org.eclipse.cdt.core.dom.ast

## Interface IASTInitializerClause

All Superinterfaces:
  IASTNode

All Known Subinterfaces:
  IASTArraySubscriptExpression, IASTBinaryExpression, IASTBinaryTypeIdExpression, IASTCastExpression, IASTConditionalExpression, IASTExpression, IASTExpressionList, IASTFieldReference, IASTFunctionCallExpression, IASTIdExpression, IASTInitializerList, IASTLiteralExpression, IASTProblemExpression, IASTTypeIdExpression, IASTTypeIdInitializerExpression, IASTUnaryExpression, ICASTDesignatedInitializer, ICASTTypeIdInitializerExpression, ICPPASTArraySubscriptExpression, ICPPASTBinaryExpression, ICPPASTCastExpression, ICPPASTDeleteExpression, ICPPASTDesignatedInitializer, ICPPASTExpression, ICPPASTExpressionList, ICPPASTFieldReference, ICPPASTFunctionCallExpression, ICPPASTInitializerClause, ICPPASTInitializerList, ICPPASTLambdaExpression, ICPPASTLiteralExpression, ICPPASTNaryTypeIdExpression, ICPPASTNewExpression, ICPPASTPackExpansionExpression, ICPPASTSimpleTypeConstructorExpression, ICPPASTTypeIdExpression, ICPPASTTypenameExpression, ICPPASTUnaryExpression, IGNUASTCompoundStatementExpression, IGNUASTTypeIdExpression, IGNUASTUnaryExpression, IGPPASTBinaryExpression

    public interface IASTInitializerClause
    extends IASTNode

Interface for AST nodes that can nest in initializer lists.

Since:
  5.2
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

### Method Summary

All Methods Instance Methods Abstract Methods
`IASTInitializerClause` `copy()` Returns a mutable copy of the tree rooted at this node.
`IASTInitializerClause` `copy(IASTNode.CopyStyle style)` Returns a mutable copy of the tree rooted at this node.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

### Method Detail

#### copy

    IASTInitializerClause copy()

Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Calling this method is equivalent to `copy(CopyStyle.withoutLocations)`.

Specified by:
  `copy` in interface `IASTNode`

#### copy

    IASTInitializerClause copy(IASTNode.CopyStyle style)

Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Specified by:
  `copy` in interface `IASTNode`
Parameters:
  `style` - `IASTNode.CopyStyle` create a copy with or without locations. Please see `IASTNode.CopyStyle` for restrictions on copies with Locations.
Since:
  5.3